ViewVC Help
View File | Revision Log | Show Annotations | View Changeset | Root Listing
root/group/trunk/OOPSE-2.0/configure
(Generate patch)

Comparing trunk/OOPSE-2.0/configure (file contents):
Revision 2081 by gezelter, Fri Mar 4 15:29:03 2005 UTC vs.
Revision 2315 by gezelter, Tue Sep 20 22:03:35 2005 UTC

# Line 312 | Line 312 | ac_subst_vars='SHELL PATH_SEPARATOR PACKAGE_NAME PACKA
312   # include <unistd.h>
313   #endif"
314  
315 < ac_subst_vars='SHELL PATH_SEPARATOR PACKAGE_NAME PACKAGE_TARNAME PACKAGE_VERSION PACKAGE_STRING PACKAGE_BUGREPORT exec_prefix prefix program_transform_name bindir sbindir libexecdir datadir sysconfdir sharedstatedir localstatedir libdir includedir oldincludedir infodir mandir build_alias host_alias target_alias DEFS ECHO_C ECHO_N ECHO_T LIBS PROGNAME debug build build_cpu build_vendor build_os host host_cpu host_vendor host_os CC CFLAGS LDFLAGS CPPFLAGS ac_ct_CC EXEEXT OBJEXT CXX CXXFLAGS ac_ct_CXX OOPSE_TEMPLATE_FLAGS EXTRA_CC_FLAG F90 F90FLAGS ac_ct_F90 PREPFLAG PREPDEFFLAG F90LIBS F90_FUNC F90_FUNC_ MOD F90_WORK_FILES_ARG MODDIRFLAG F90MODINCSPEC F90_MODULE_NAMES CPP EGREP LIBOBJS INSTALL_PROGRAM INSTALL_SCRIPT INSTALL_DATA LN_S SET_MAKE RANLIB ac_ct_RANLIB YACC LEX LEXLIB LEX_OUTPUT_ROOT AR PS MPI_LIB_DIR MPI_INC_DIR MPI_F90_INC MPI_LIB MPI_F90_LIB USE_MPI DOXYGEN DOT DOC enable_dot enable_html_docs enable_latex_docs BATEXT MKINSTALLDIRS OOPSE OOPSE_HOME SUBDIRS FFLAGS LTLIBOBJS'
315 > ac_subst_vars='SHELL PATH_SEPARATOR PACKAGE_NAME PACKAGE_TARNAME PACKAGE_VERSION PACKAGE_STRING PACKAGE_BUGREPORT exec_prefix prefix program_transform_name bindir sbindir libexecdir datadir sysconfdir sharedstatedir localstatedir libdir includedir oldincludedir infodir mandir build_alias host_alias target_alias DEFS ECHO_C ECHO_N ECHO_T LIBS PROGNAME debug build build_cpu build_vendor build_os host host_cpu host_vendor host_os CC CFLAGS LDFLAGS CPPFLAGS ac_ct_CC EXEEXT OBJEXT CXX CXXFLAGS ac_ct_CXX OOPSE_TEMPLATE_FLAGS EXTRA_CC_FLAG F90 F90FLAGS ac_ct_F90 PREPFLAG PREPDEFFLAG F90LIBS F90_FUNC F90_FUNC_ MOD F90_WORK_FILES_ARG MODDIRFLAG F90MODINCSPEC F90_MODULE_NAMES CPP EGREP LIBOBJS INSTALL_PROGRAM INSTALL_SCRIPT INSTALL_DATA LN_S SET_MAKE RANLIB ac_ct_RANLIB YACC LEX LEXLIB LEX_OUTPUT_ROOT PERLINTERP PERL_SHEBANG AR PS MPI_LIB_DIR MPI_INC_DIR MPI_F90_INC MPI_LIB MPI_F90_LIB USE_MPI CXXCPP USE_CGAL CGAL_INC_DIR CGAL_LIB_DIR CGAL_RLIB_DIR CGAL_DEFINES CGAL_CXXFLAGS CGAL_LIBS DOXYGEN DOT DOC enable_dot enable_html_docs enable_latex_docs BATEXT MKINSTALLDIRS OOPSE OOPSE_HOME SUBDIRS FFLAGS LTLIBOBJS'
316   ac_subst_files=''
317  
318   # Initialize some variables set by options.
# Line 789 | Line 789 | ac_cv_env_CPP_value=$CPP
789   ac_env_CPP_value=$CPP
790   ac_cv_env_CPP_set=${CPP+set}
791   ac_cv_env_CPP_value=$CPP
792 + ac_env_CXXCPP_set=${CXXCPP+set}
793 + ac_env_CXXCPP_value=$CXXCPP
794 + ac_cv_env_CXXCPP_set=${CXXCPP+set}
795 + ac_cv_env_CXXCPP_value=$CXXCPP
796  
797   #
798   # Report the --help message.
# Line 875 | Line 879 | Optional Packages:
879   Optional Packages:
880    --with-PACKAGE[=ARG]    use PACKAGE [ARG=yes]
881    --without-PACKAGE       do not use PACKAGE (same as --with-PACKAGE=no)
882 +  --with-zlib=DIR root directory path of zlib installation defaults to
883 +                    /usr/local or /usr if not found in /usr/local
884 +  --without-zlib to disable zlib usage completely
885 +  --with-perl-shebang     override what perl thinks is the way for the kernel
886 +                          to start it (seldom needed)
887    --with-mpi=<prefix>     compile with MPI installed in <prefix> [default=no]
888 +  --with-cgal-makefile=FILE  CGAL makefile that should be used
889  
890   Some influential environment variables:
891    CC          C compiler command
# Line 889 | Line 899 | Some influential environment variables:
899    F90         Fortran 90 compiler command
900    F90FLAGS    Fortran 90 compiler flags
901    CPP         C preprocessor
902 +  CXXCPP      C++ preprocessor
903  
904   Use these variables to override the choices made by `configure' or to help
905   it to find libraries and programs with nonstandard names/locations.
# Line 1821 | Line 1832 | ac_configure="$SHELL $ac_aux_dir/configure" # This sho
1832   # Figure out how the Fortran 90 compiler constructs module file names
1833   #
1834   # AC_F90_MODULE_NAMES
1835 +
1836 +
1837  
1838  
1839  
# Line 1872 | Line 1885 | ac_configure="$SHELL $ac_aux_dir/configure" # This sho
1885  
1886  
1887  
1888 + #
1889 + #
1890 + #
1891  
1892  
1893  
# Line 3539 | Line 3555 | F90FLAGS="$F90FLAGS $ac_verb"
3555   ac_save_F90FLAGS=$F90FLAGS
3556   F90FLAGS="$F90FLAGS $ac_verb"
3557  
3558 < (eval echo $as_me:3542: \"$ac_link\") >&5
3558 > (eval echo $as_me:3558: \"$ac_link\") >&5
3559   ac_f90_v_output=`eval $ac_link 5>&1 2>&1 | grep -v 'Driving:'`
3560   echo "$ac_f90_v_output" >&5
3561   F90FLAGS=$ac_save_F90FLAGS
# Line 3616 | Line 3632 | F90FLAGS="$F90FLAGS $ac_cv_prog_f90_v"
3632   ac_save_F90FLAGS=$F90FLAGS
3633   F90FLAGS="$F90FLAGS $ac_cv_prog_f90_v"
3634  
3635 < (eval echo $as_me:3619: \"$ac_link\") >&5
3635 > (eval echo $as_me:3635: \"$ac_link\") >&5
3636   ac_f90_v_output=`eval $ac_link 5>&1 2>&1 | grep -v 'Driving:'`
3637   echo "$ac_f90_v_output" >&5
3638   F90FLAGS=$ac_save_F90FLAGS
# Line 4942 | Line 4958 | done
4958   done
4959  
4960  
4961 + #
4962 + # Handle user hints
4963 + #
4964 + echo "$as_me:$LINENO: checking if zlib is wanted" >&5
4965 + echo $ECHO_N "checking if zlib is wanted... $ECHO_C" >&6
4966  
4967 + # Check whether --with-zlib or --without-zlib was given.
4968 + if test "${with_zlib+set}" = set; then
4969 +  withval="$with_zlib"
4970 +  if test "$withval" != no ; then
4971 +  echo "$as_me:$LINENO: result: yes" >&5
4972 + echo "${ECHO_T}yes" >&6
4973 +  if test -d "$withval"
4974 +  then
4975 +    ZLIB_HOME="$withval"
4976 +  else
4977 +    { echo "$as_me:$LINENO: WARNING: Sorry, $withval does not exist, checking usual places" >&5
4978 + echo "$as_me: WARNING: Sorry, $withval does not exist, checking usual places" >&2;}
4979 +  fi
4980 + else
4981 +  echo "$as_me:$LINENO: result: no" >&5
4982 + echo "${ECHO_T}no" >&6
4983 + fi
4984 + fi;
4985  
4986 + ZLIB_HOME=/usr/local
4987 + if test ! -f "${ZLIB_HOME}/include/zlib.h"
4988 + then
4989 +        ZLIB_HOME=/usr
4990 + fi
4991  
4992 + #
4993 + # Locate zlib, if wanted
4994 + #
4995 + if test -n "${ZLIB_HOME}"
4996 + then
4997 +        ZLIB_OLD_LDFLAGS=$LDFLAGS
4998 +        ZLIB_OLD_CPPFLAGS=$LDFLAGS
4999 +        LDFLAGS="$LDFLAGS -L${ZLIB_HOME}/lib"
5000 +        CPPFLAGS="$CPPFLAGS -I${ZLIB_HOME}/include"
5001  
5002  
5003 +        ac_ext=c
5004 + ac_cpp='$CPP $CPPFLAGS'
5005 + ac_compile='$CC -c $CFLAGS $CPPFLAGS conftest.$ac_ext >&5'
5006 + ac_link='$CC -o conftest$ac_exeext $CFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
5007 + ac_compiler_gnu=$ac_cv_c_compiler_gnu
5008  
5009 +        echo "$as_me:$LINENO: checking for inflateEnd in -lz" >&5
5010 + echo $ECHO_N "checking for inflateEnd in -lz... $ECHO_C" >&6
5011 + if test "${ac_cv_lib_z_inflateEnd+set}" = set; then
5012 +  echo $ECHO_N "(cached) $ECHO_C" >&6
5013 + else
5014 +  ac_check_lib_save_LIBS=$LIBS
5015 + LIBS="-lz  $LIBS"
5016 + cat >conftest.$ac_ext <<_ACEOF
5017 + /* confdefs.h.  */
5018 + _ACEOF
5019 + cat confdefs.h >>conftest.$ac_ext
5020 + cat >>conftest.$ac_ext <<_ACEOF
5021 + /* end confdefs.h.  */
5022  
5023 + /* Override any gcc2 internal prototype to avoid an error.  */
5024 + #ifdef __cplusplus
5025 + extern "C"
5026 + #endif
5027 + /* We use char because int might match the return type of a gcc2
5028 +   builtin and then its argument prototype would still apply.  */
5029 + char inflateEnd ();
5030 + int
5031 + main ()
5032 + {
5033 + inflateEnd ();
5034 +  ;
5035 +  return 0;
5036 + }
5037 + _ACEOF
5038 + rm -f conftest.$ac_objext conftest$ac_exeext
5039 + if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
5040 +  (eval $ac_link) 2>conftest.er1
5041 +  ac_status=$?
5042 +  grep -v '^ *+' conftest.er1 >conftest.err
5043 +  rm -f conftest.er1
5044 +  cat conftest.err >&5
5045 +  echo "$as_me:$LINENO: \$? = $ac_status" >&5
5046 +  (exit $ac_status); } &&
5047 +         { ac_try='test -z "$ac_c_werror_flag"
5048 +                         || test ! -s conftest.err'
5049 +  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
5050 +  (eval $ac_try) 2>&5
5051 +  ac_status=$?
5052 +  echo "$as_me:$LINENO: \$? = $ac_status" >&5
5053 +  (exit $ac_status); }; } &&
5054 +         { ac_try='test -s conftest$ac_exeext'
5055 +  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
5056 +  (eval $ac_try) 2>&5
5057 +  ac_status=$?
5058 +  echo "$as_me:$LINENO: \$? = $ac_status" >&5
5059 +  (exit $ac_status); }; }; then
5060 +  ac_cv_lib_z_inflateEnd=yes
5061 + else
5062 +  echo "$as_me: failed program was:" >&5
5063 + sed 's/^/| /' conftest.$ac_ext >&5
5064  
5065 + ac_cv_lib_z_inflateEnd=no
5066 + fi
5067 + rm -f conftest.err conftest.$ac_objext \
5068 +      conftest$ac_exeext conftest.$ac_ext
5069 + LIBS=$ac_check_lib_save_LIBS
5070 + fi
5071 + echo "$as_me:$LINENO: result: $ac_cv_lib_z_inflateEnd" >&5
5072 + echo "${ECHO_T}$ac_cv_lib_z_inflateEnd" >&6
5073 + if test $ac_cv_lib_z_inflateEnd = yes; then
5074 +  zlib_cv_libz=yes
5075 + else
5076 +  zlib_cv_libz=no
5077 + fi
5078  
5079 +        if test "${ac_cv_header_zlib_h+set}" = set; then
5080 +  echo "$as_me:$LINENO: checking for zlib.h" >&5
5081 + echo $ECHO_N "checking for zlib.h... $ECHO_C" >&6
5082 + if test "${ac_cv_header_zlib_h+set}" = set; then
5083 +  echo $ECHO_N "(cached) $ECHO_C" >&6
5084 + fi
5085 + echo "$as_me:$LINENO: result: $ac_cv_header_zlib_h" >&5
5086 + echo "${ECHO_T}$ac_cv_header_zlib_h" >&6
5087 + else
5088 +  # Is the header compilable?
5089 + echo "$as_me:$LINENO: checking zlib.h usability" >&5
5090 + echo $ECHO_N "checking zlib.h usability... $ECHO_C" >&6
5091 + cat >conftest.$ac_ext <<_ACEOF
5092 + /* confdefs.h.  */
5093 + _ACEOF
5094 + cat confdefs.h >>conftest.$ac_ext
5095 + cat >>conftest.$ac_ext <<_ACEOF
5096 + /* end confdefs.h.  */
5097 + $ac_includes_default
5098 + #include <zlib.h>
5099 + _ACEOF
5100 + rm -f conftest.$ac_objext
5101 + if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
5102 +  (eval $ac_compile) 2>conftest.er1
5103 +  ac_status=$?
5104 +  grep -v '^ *+' conftest.er1 >conftest.err
5105 +  rm -f conftest.er1
5106 +  cat conftest.err >&5
5107 +  echo "$as_me:$LINENO: \$? = $ac_status" >&5
5108 +  (exit $ac_status); } &&
5109 +         { ac_try='test -z "$ac_c_werror_flag"
5110 +                         || test ! -s conftest.err'
5111 +  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
5112 +  (eval $ac_try) 2>&5
5113 +  ac_status=$?
5114 +  echo "$as_me:$LINENO: \$? = $ac_status" >&5
5115 +  (exit $ac_status); }; } &&
5116 +         { ac_try='test -s conftest.$ac_objext'
5117 +  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
5118 +  (eval $ac_try) 2>&5
5119 +  ac_status=$?
5120 +  echo "$as_me:$LINENO: \$? = $ac_status" >&5
5121 +  (exit $ac_status); }; }; then
5122 +  ac_header_compiler=yes
5123 + else
5124 +  echo "$as_me: failed program was:" >&5
5125 + sed 's/^/| /' conftest.$ac_ext >&5
5126 +
5127 + ac_header_compiler=no
5128 + fi
5129 + rm -f conftest.err conftest.$ac_objext conftest.$ac_ext
5130 + echo "$as_me:$LINENO: result: $ac_header_compiler" >&5
5131 + echo "${ECHO_T}$ac_header_compiler" >&6
5132 +
5133 + # Is the header present?
5134 + echo "$as_me:$LINENO: checking zlib.h presence" >&5
5135 + echo $ECHO_N "checking zlib.h presence... $ECHO_C" >&6
5136 + cat >conftest.$ac_ext <<_ACEOF
5137 + /* confdefs.h.  */
5138 + _ACEOF
5139 + cat confdefs.h >>conftest.$ac_ext
5140 + cat >>conftest.$ac_ext <<_ACEOF
5141 + /* end confdefs.h.  */
5142 + #include <zlib.h>
5143 + _ACEOF
5144 + if { (eval echo "$as_me:$LINENO: \"$ac_cpp conftest.$ac_ext\"") >&5
5145 +  (eval $ac_cpp conftest.$ac_ext) 2>conftest.er1
5146 +  ac_status=$?
5147 +  grep -v '^ *+' conftest.er1 >conftest.err
5148 +  rm -f conftest.er1
5149 +  cat conftest.err >&5
5150 +  echo "$as_me:$LINENO: \$? = $ac_status" >&5
5151 +  (exit $ac_status); } >/dev/null; then
5152 +  if test -s conftest.err; then
5153 +    ac_cpp_err=$ac_c_preproc_warn_flag
5154 +    ac_cpp_err=$ac_cpp_err$ac_c_werror_flag
5155 +  else
5156 +    ac_cpp_err=
5157 +  fi
5158 + else
5159 +  ac_cpp_err=yes
5160 + fi
5161 + if test -z "$ac_cpp_err"; then
5162 +  ac_header_preproc=yes
5163 + else
5164 +  echo "$as_me: failed program was:" >&5
5165 + sed 's/^/| /' conftest.$ac_ext >&5
5166 +
5167 +  ac_header_preproc=no
5168 + fi
5169 + rm -f conftest.err conftest.$ac_ext
5170 + echo "$as_me:$LINENO: result: $ac_header_preproc" >&5
5171 + echo "${ECHO_T}$ac_header_preproc" >&6
5172 +
5173 + # So?  What about this header?
5174 + case $ac_header_compiler:$ac_header_preproc:$ac_c_preproc_warn_flag in
5175 +  yes:no: )
5176 +    { echo "$as_me:$LINENO: WARNING: zlib.h: accepted by the compiler, rejected by the preprocessor!" >&5
5177 + echo "$as_me: WARNING: zlib.h: accepted by the compiler, rejected by the preprocessor!" >&2;}
5178 +    { echo "$as_me:$LINENO: WARNING: zlib.h: proceeding with the compiler's result" >&5
5179 + echo "$as_me: WARNING: zlib.h: proceeding with the compiler's result" >&2;}
5180 +    ac_header_preproc=yes
5181 +    ;;
5182 +  no:yes:* )
5183 +    { echo "$as_me:$LINENO: WARNING: zlib.h: present but cannot be compiled" >&5
5184 + echo "$as_me: WARNING: zlib.h: present but cannot be compiled" >&2;}
5185 +    { echo "$as_me:$LINENO: WARNING: zlib.h:     check for missing prerequisite headers?" >&5
5186 + echo "$as_me: WARNING: zlib.h:     check for missing prerequisite headers?" >&2;}
5187 +    { echo "$as_me:$LINENO: WARNING: zlib.h: see the Autoconf documentation" >&5
5188 + echo "$as_me: WARNING: zlib.h: see the Autoconf documentation" >&2;}
5189 +    { echo "$as_me:$LINENO: WARNING: zlib.h:     section \"Present But Cannot Be Compiled\"" >&5
5190 + echo "$as_me: WARNING: zlib.h:     section \"Present But Cannot Be Compiled\"" >&2;}
5191 +    { echo "$as_me:$LINENO: WARNING: zlib.h: proceeding with the preprocessor's result" >&5
5192 + echo "$as_me: WARNING: zlib.h: proceeding with the preprocessor's result" >&2;}
5193 +    { echo "$as_me:$LINENO: WARNING: zlib.h: in the future, the compiler will take precedence" >&5
5194 + echo "$as_me: WARNING: zlib.h: in the future, the compiler will take precedence" >&2;}
5195 +    (
5196 +      cat <<\_ASBOX
5197 + ## ------------------------------ ##
5198 + ## Report this to gezelter@nd.edu ##
5199 + ## ------------------------------ ##
5200 + _ASBOX
5201 +    ) |
5202 +      sed "s/^/$as_me: WARNING:     /" >&2
5203 +    ;;
5204 + esac
5205 + echo "$as_me:$LINENO: checking for zlib.h" >&5
5206 + echo $ECHO_N "checking for zlib.h... $ECHO_C" >&6
5207 + if test "${ac_cv_header_zlib_h+set}" = set; then
5208 +  echo $ECHO_N "(cached) $ECHO_C" >&6
5209 + else
5210 +  ac_cv_header_zlib_h=$ac_header_preproc
5211 + fi
5212 + echo "$as_me:$LINENO: result: $ac_cv_header_zlib_h" >&5
5213 + echo "${ECHO_T}$ac_cv_header_zlib_h" >&6
5214 +
5215 + fi
5216 + if test $ac_cv_header_zlib_h = yes; then
5217 +  zlib_cv_zlib_h=yes
5218 + else
5219 +  zlib_cv_zlib_h=no
5220 + fi
5221 +
5222 +
5223 +        ac_ext=c
5224 + ac_cpp='$CPP $CPPFLAGS'
5225 + ac_compile='$CC -c $CFLAGS $CPPFLAGS conftest.$ac_ext >&5'
5226 + ac_link='$CC -o conftest$ac_exeext $CFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
5227 + ac_compiler_gnu=$ac_cv_c_compiler_gnu
5228 +
5229 +        if test "$zlib_cv_libz" = "yes" -a "$zlib_cv_zlib_h" = "yes"
5230 +        then
5231 +                #
5232 +                # If both library and header were found, use them
5233 +                #
5234 +
5235 + echo "$as_me:$LINENO: checking for inflateEnd in -lz" >&5
5236 + echo $ECHO_N "checking for inflateEnd in -lz... $ECHO_C" >&6
5237 + if test "${ac_cv_lib_z_inflateEnd+set}" = set; then
5238 +  echo $ECHO_N "(cached) $ECHO_C" >&6
5239 + else
5240 +  ac_check_lib_save_LIBS=$LIBS
5241 + LIBS="-lz  $LIBS"
5242 + cat >conftest.$ac_ext <<_ACEOF
5243 + /* confdefs.h.  */
5244 + _ACEOF
5245 + cat confdefs.h >>conftest.$ac_ext
5246 + cat >>conftest.$ac_ext <<_ACEOF
5247 + /* end confdefs.h.  */
5248 +
5249 + /* Override any gcc2 internal prototype to avoid an error.  */
5250 + #ifdef __cplusplus
5251 + extern "C"
5252 + #endif
5253 + /* We use char because int might match the return type of a gcc2
5254 +   builtin and then its argument prototype would still apply.  */
5255 + char inflateEnd ();
5256 + int
5257 + main ()
5258 + {
5259 + inflateEnd ();
5260 +  ;
5261 +  return 0;
5262 + }
5263 + _ACEOF
5264 + rm -f conftest.$ac_objext conftest$ac_exeext
5265 + if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
5266 +  (eval $ac_link) 2>conftest.er1
5267 +  ac_status=$?
5268 +  grep -v '^ *+' conftest.er1 >conftest.err
5269 +  rm -f conftest.er1
5270 +  cat conftest.err >&5
5271 +  echo "$as_me:$LINENO: \$? = $ac_status" >&5
5272 +  (exit $ac_status); } &&
5273 +         { ac_try='test -z "$ac_c_werror_flag"
5274 +                         || test ! -s conftest.err'
5275 +  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
5276 +  (eval $ac_try) 2>&5
5277 +  ac_status=$?
5278 +  echo "$as_me:$LINENO: \$? = $ac_status" >&5
5279 +  (exit $ac_status); }; } &&
5280 +         { ac_try='test -s conftest$ac_exeext'
5281 +  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
5282 +  (eval $ac_try) 2>&5
5283 +  ac_status=$?
5284 +  echo "$as_me:$LINENO: \$? = $ac_status" >&5
5285 +  (exit $ac_status); }; }; then
5286 +  ac_cv_lib_z_inflateEnd=yes
5287 + else
5288 +  echo "$as_me: failed program was:" >&5
5289 + sed 's/^/| /' conftest.$ac_ext >&5
5290 +
5291 + ac_cv_lib_z_inflateEnd=no
5292 + fi
5293 + rm -f conftest.err conftest.$ac_objext \
5294 +      conftest$ac_exeext conftest.$ac_ext
5295 + LIBS=$ac_check_lib_save_LIBS
5296 + fi
5297 + echo "$as_me:$LINENO: result: $ac_cv_lib_z_inflateEnd" >&5
5298 + echo "${ECHO_T}$ac_cv_lib_z_inflateEnd" >&6
5299 + if test $ac_cv_lib_z_inflateEnd = yes; then
5300 +  cat >>confdefs.h <<_ACEOF
5301 + #define HAVE_LIBZ 1
5302 + _ACEOF
5303 +
5304 +  LIBS="-lz $LIBS"
5305 +
5306 + fi
5307 +
5308 +                echo "$as_me:$LINENO: checking zlib in ${ZLIB_HOME}" >&5
5309 + echo $ECHO_N "checking zlib in ${ZLIB_HOME}... $ECHO_C" >&6
5310 +                echo "$as_me:$LINENO: result: ok" >&5
5311 + echo "${ECHO_T}ok" >&6
5312 +        else
5313 +                #
5314 +                # If either header or library was not found, revert and bomb
5315 +                #
5316 +                echo "$as_me:$LINENO: checking zlib in ${ZLIB_HOME}" >&5
5317 + echo $ECHO_N "checking zlib in ${ZLIB_HOME}... $ECHO_C" >&6
5318 +                LDFLAGS="$ZLIB_OLD_LDFLAGS"
5319 +                CPPFLAGS="$ZLIB_OLD_CPPFLAGS"
5320 +                echo "$as_me:$LINENO: result: failed" >&5
5321 + echo "${ECHO_T}failed" >&6
5322 +                { { echo "$as_me:$LINENO: error: either specify a valid zlib installation with --with-zlib=DIR or disable zlib usage with --without-zlib" >&5
5323 + echo "$as_me: error: either specify a valid zlib installation with --with-zlib=DIR or disable zlib usage with --without-zlib" >&2;}
5324 +   { (exit 1); exit 1; }; }
5325 +        fi
5326 + fi
5327 +
5328 +
5329 +
5330 +
5331 +
5332 +
5333 +
5334 +
5335 +
5336 +
5337 +
5338   for ac_header in unistd.h sys/pstat.h sys/sysmp.h sys/sysinfo.h sys/table.h sys/param.h sys/sysctl.h sys/sytemcfg.h machine/hal_sysinfo.h
5339   do
5340   as_ac_Header=`echo "ac_cv_header_$ac_header" | $as_tr_sh`
# Line 7155 | Line 7539 | fi
7539   fi
7540  
7541   fi
7542 +
7543 +   # Extract the first word of "perl", so it can be a program name with args.
7544 + set dummy perl; ac_word=$2
7545 + echo "$as_me:$LINENO: checking for $ac_word" >&5
7546 + echo $ECHO_N "checking for $ac_word... $ECHO_C" >&6
7547 + if test "${ac_cv_path_PERLINTERP+set}" = set; then
7548 +  echo $ECHO_N "(cached) $ECHO_C" >&6
7549 + else
7550 +  case $PERLINTERP in
7551 +  [\\/]* | ?:[\\/]*)
7552 +  ac_cv_path_PERLINTERP="$PERLINTERP" # Let the user override the test with a path.
7553 +  ;;
7554 +  *)
7555 +  as_save_IFS=$IFS; IFS=$PATH_SEPARATOR
7556 + for as_dir in $PATH
7557 + do
7558 +  IFS=$as_save_IFS
7559 +  test -z "$as_dir" && as_dir=.
7560 +  for ac_exec_ext in '' $ac_executable_extensions; do
7561 +  if $as_executable_p "$as_dir/$ac_word$ac_exec_ext"; then
7562 +    ac_cv_path_PERLINTERP="$as_dir/$ac_word$ac_exec_ext"
7563 +    echo "$as_me:$LINENO: found $as_dir/$ac_word$ac_exec_ext" >&5
7564 +    break 2
7565 +  fi
7566 + done
7567 + done
7568 +
7569 +  test -z "$ac_cv_path_PERLINTERP" && ac_cv_path_PERLINTERP="perl"
7570 +  ;;
7571 + esac
7572 + fi
7573 + PERLINTERP=$ac_cv_path_PERLINTERP
7574 +
7575 + if test -n "$PERLINTERP"; then
7576 +  echo "$as_me:$LINENO: result: $PERLINTERP" >&5
7577 + echo "${ECHO_T}$PERLINTERP" >&6
7578 + else
7579 +  echo "$as_me:$LINENO: result: no" >&5
7580 + echo "${ECHO_T}no" >&6
7581 + fi
7582 +
7583 +   ac_cv_path_perlinterp="$PERLINTERP"
7584 +   _sHpB='#!'
7585 +
7586 +
7587 + # Check whether --with-perl-shebang or --without-perl-shebang was given.
7588 + if test "${with_perl_shebang+set}" = set; then
7589 +  withval="$with_perl_shebang"
7590 +  opt_perl_shebang="$withval"
7591 + else
7592 +                opt_perl_shebang="not_set"
7593 + fi;
7594 +   echo "$as_me:$LINENO: checking whether explicit instead of detected sharpbang is to be used" >&5
7595 + echo $ECHO_N "checking whether explicit instead of detected sharpbang is to be used... $ECHO_C" >&6
7596 + if test "${ax_cv_opt_perl_shebang+set}" = set; then
7597 +  echo $ECHO_N "(cached) $ECHO_C" >&6
7598 + else
7599 +   case "$opt_perl_shebang" in
7600 +                      not_set  ) ax_cv_opt_perl_shebang=''
7601 +                               ;;
7602 +                         *     )
7603 +        ax_cv_opt_perl_shebang=`echo "$opt_perl_shebang" | sed -e's|^#!\s*\(.*\)$|\1|'`
7604 +                    esac
7605 +
7606 + fi
7607 + echo "$as_me:$LINENO: result: $ax_cv_opt_perl_shebang" >&5
7608 + echo "${ECHO_T}$ax_cv_opt_perl_shebang" >&6
7609 +   if test "A$ax_cv_opt_perl_shebang" != "A"
7610 +     then
7611 +       ac_cv_sys_kernshrpbang_perl="$ax_cv_opt_perl_shebang"
7612 +       PERL_SHEBANG="$ac_cv_sys_kernshrpbang_perl"
7613 +              { echo "$as_me:$LINENO: OK - PERL_SHEBANG is $_sHpB$PERL_SHEBANG." >&5
7614 + echo "$as_me: OK - PERL_SHEBANG is $_sHpB$PERL_SHEBANG." >&6;}
7615 +
7616 + # Automatic detection of sharpbang formula starts here
7617 +     else
7618 +   _somian_shbangperl=`$PERLINTERP -V:startperl`
7619 +   negclass="[^']"; # must leave this comment:  m4 will remove the outer brackets for us, heheh
7620 +   echo "$as_me:$LINENO: checking for kernel sharpbang invocation to start perl" >&5
7621 + echo $ECHO_N "checking for kernel sharpbang invocation to start perl... $ECHO_C" >&6
7622 + if test "${ac_cv_sys_kernshrpbang_perl+set}" = set; then
7623 +  echo $ECHO_N "(cached) $ECHO_C" >&6
7624 + else
7625 +  _somian_kspb_perl=`echo "$_somian_shbangperl" | sed -ne"s|.*='\($negclass*\)';$|\1|p"`
7626 +        if test "x$_somian_kspb_perl" == x
7627 +          then _somian_ksbp_warn_empty='durnit'
7628 +          else
7629 +          case "A$_somian_kspb_perl" in
7630 +                 A#!*perl* )
7631 +           ac_cv_sys_kernshrpbang_perl=`echo "$_somian_kspb_perl" | sed -e's|#!\(.*\)$|\1|'`
7632 +                        ;;
7633 +                     A*    )  _somian_ksbp_warn_defau='trouble'
7634 +                              ac_cv_sys_kernshrpbang_perl="$PERLINTERP"
7635 +          esac
7636 +        fi
7637 +
7638 + fi
7639 + echo "$as_me:$LINENO: result: $ac_cv_sys_kernshrpbang_perl" >&5
7640 + echo "${ECHO_T}$ac_cv_sys_kernshrpbang_perl" >&6
7641 + # The above prints Checking ... result message to user.
7642 +   PERL_SHEBANG="$ac_cv_sys_kernshrpbang_perl"
7643 +
7644 +    if test A${_somian_ksbp_warn_empty+set} == Aset
7645 +      then   { echo "$as_me:$LINENO: WARNING: In last check, doing $PERLINTERP -V:startperl yielded empty result! That should not happen." >&5
7646 + echo "$as_me: WARNING: In last check, doing $PERLINTERP -V:startperl yielded empty result! That should not happen." >&2;}
7647 +    fi
7648 + # Inform user after printing result value
7649 +    if test A${_somian_ksbp_warn_defau+set} == Aset
7650 +      then { echo "$as_me:$LINENO: Maybe Not good -" >&5
7651 + echo "$as_me: Maybe Not good -" >&6;}
7652 +           { echo "$as_me:$LINENO: WARNING: In last check perl's Config query did not work so we bunted: $_sHpB$PERLINTERP" >&5
7653 + echo "$as_me: WARNING: In last check perl's Config query did not work so we bunted: $_sHpB$PERLINTERP" >&2;}
7654 +      else { echo "$as_me:$LINENO: OK Good result - " >&5
7655 + echo "$as_me: OK Good result - " >&6;}
7656 +           { echo "$as_me:$LINENO: In last check we got a proper-looking answer from perl's Config: $_somian_shbangperl" >&5
7657 + echo "$as_me: In last check we got a proper-looking answer from perl's Config: $_somian_shbangperl" >&6;}
7658 +    fi
7659 +  fi
7660 +
7661   # Extract the first word of "ar", so it can be a program name with args.
7662   set dummy ar; ac_word=$2
7663   echo "$as_me:$LINENO: checking for $ac_word" >&5
# Line 7376 | Line 7879 | echo '#include <mpi.h>' > conftest.cc
7879   echo "$as_me:$LINENO: checking for mpi.h" >&5
7880   echo $ECHO_N "checking for mpi.h... $ECHO_C" >&6
7881   have_mpi_h=0
7882 + rm -f conftest*
7883   echo '#include <mpi.h>' > conftest.cc
7884 < if test -z "`${CXX} -I${MPI_INC_DIR} -c conftest.cc 2>&1`"; then
7884 > if ${CXX} -I${MPI_INC_DIR} -c conftest.cc 2>&1 ; then
7885          echo "$as_me:$LINENO: result: yes" >&5
7886   echo "${ECHO_T}yes" >&6
7887          have_mpi_h=1
7888   else
7889 +        if test -s conftest.out ; then
7890 +                cat conftest.out >> config.log
7891 +        fi
7892          echo "$as_me:$LINENO: result: no! Check MPI include paths" >&5
7893   echo "${ECHO_T}no! Check MPI include paths" >&6
7894          USE_MPI="no"
# Line 7812 | Line 8319 | echo "${ECHO_T}found $MPI_F90_LIB" >&6
8319   fi
8320   echo "$as_me:$LINENO: result: found $MPI_F90_LIB" >&5
8321   echo "${ECHO_T}found $MPI_F90_LIB" >&6
8322 +
8323 +
8324 + fi
8325 +
8326 +
8327 +
8328 +
8329 + USE_CGAL=no
8330 + cgal_makefile=auto
8331 +
8332 + # Check whether --with-cgal-makefile or --without-cgal-makefile was given.
8333 + if test "${with_cgal_makefile+set}" = set; then
8334 +  withval="$with_cgal_makefile"
8335 +  cgal_makefile="$withval"
8336 + fi;
8337 +
8338 + if test "x$cgal_makefile" != xno; then
8339 +
8340 +  if test "x$cgal_makefile" = xauto -a "x$CGAL_MAKEFILE" != x; then
8341 +    cgal_makefile="$CGAL_MAKEFILE"
8342 +  fi
8343 +
8344 +  echo "$as_me:$LINENO: checking for cgal_makefile: $cgal_makefile" >&5
8345 + echo $ECHO_N "checking for cgal_makefile: $cgal_makefile... $ECHO_C" >&6
8346 +
8347 +  if test -f "$cgal_makefile"; then
8348 +
8349 +    cat >config.tmp.Makefile <<EOF
8350 + include $cgal_makefile
8351 + default:
8352 +        @echo CGAL_OS_COMPILER=\"\${CGAL_OS_COMPILER}\" >config.tmp.cgalvariables
8353 +        @echo CGAL_INCLDIR=\"\${CGAL_INCL_DIR}\" >>config.tmp.cgalvariables
8354 +        @echo CGAL_INCLCONFDIR=\"\${CGAL_INCL_CONF_DIR}\" >>config.tmp.cgalvariables
8355 +        @echo CGAL_LIBDIR=\"\${CGAL_LIB_DIR}/\${CGAL_OS_COMPILER}\" >>config.tmp.cgalvariables
8356 +        @echo CGAL_RLIBDIR=\"\${CGAL_LIB_DIR}/\${CGAL_OS_COMPILER}\" >>config.tmp.cgalvariables
8357 +        @echo CGAL_CXXFLAGS=\"\${CGAL_CXXFLAGS}\" >>config.tmp.cgalvariables
8358 +        @echo GMP_INCLDIR=\"\${GMP_INCL_DIR}\" >>config.tmp.cgalvariables
8359 +        @echo GMP_LIBDIR=\"\${GMP_LIB_DIR}\" >>config.tmp.cgalvariables
8360 +        @echo GMP_RLIBDIR=\"\${GMP_LIB_DIR}\" >>config.tmp.cgalvariables
8361 +        @echo LEDA_INCLDIR=\"\${LEDA_INCL_DIR}\" >>config.tmp.cgalvariables
8362 +        @echo LEDA_LIBDIR=\"\${LEDA_LIB_DIR}\" >>config.tmp.cgalvariables
8363 +        @echo LEDA_RLIBDIR=\"\${LEDA_LIB_DIR}\" >>config.tmp.cgalvariables
8364 + EOF
8365 +
8366 +    make -s -f config.tmp.Makefile
8367 +    . config.tmp.cgalvariables
8368 +
8369 +    rm -f config.tmp.Makefile config.tmp.cgalvariables
8370 +
8371 +    if test "x$CGAL_INCLDIR" = "x"; then
8372 +      CGAL_INCLDIR=""
8373 +    fi
8374 +
8375 +    if test "x$CGAL_LIBDIR" = "x"; then
8376 +      CGAL_LIBDIR=""
8377 +    fi
8378 +
8379 +    if test "x$CGAL_RLIBDIR" = "x"; then
8380 +      CGAL_RLIBDIR=""
8381 +    fi
8382 +
8383 +    if test "x$LEDA_INCLDIR" = "x"; then
8384 +      LEDA_INCLDIR=""
8385 +    fi
8386 +
8387 +    if test "x$LEDA_LIBDIR" = "x"; then
8388 +      LEDA_LIBDIR=""
8389 +    fi
8390 +
8391 +    if test "x$LEDA_RLIBDIR" = "x"; then
8392 +      LEDA_RLIBDIR=""
8393 +    fi
8394 +
8395 +    if test "x$GMP_INCLDIR" = "x"; then
8396 +      GMP_INCLDIR=""
8397 +    fi
8398 +
8399 +    if test "x$GMP_LIBDIR" = "x"; then
8400 +      GMP_LIBDIR=""
8401 +    fi
8402 +
8403 +    if test "x$GMP_RLIBDIR" = "x"; then
8404 +      GMP_RLIBDIR=""
8405 +    fi
8406 +
8407 +    echo "$as_me:$LINENO: result: CGAL_OS_COMPILER=   $CGAL_OS_COMPILER" >&5
8408 + echo "${ECHO_T}CGAL_OS_COMPILER=   $CGAL_OS_COMPILER" >&6
8409 +    echo "$as_me:$LINENO: result: CGAL_INCLDIR=       $CGAL_INCLDIR" >&5
8410 + echo "${ECHO_T}CGAL_INCLDIR=       $CGAL_INCLDIR" >&6
8411 +    echo "$as_me:$LINENO: result: CGAL_INCLCONFDIR=   $CGAL_INCLCONFDIR" >&5
8412 + echo "${ECHO_T}CGAL_INCLCONFDIR=   $CGAL_INCLCONFDIR" >&6
8413 +    echo "$as_me:$LINENO: result: CGAL_LIBDIR=        $CGAL_LIBDIR" >&5
8414 + echo "${ECHO_T}CGAL_LIBDIR=        $CGAL_LIBDIR" >&6
8415 +    echo "$as_me:$LINENO: result: CGAL_CXXFLAGS=      $CGAL_CXXFLAGS" >&5
8416 + echo "${ECHO_T}CGAL_CXXFLAGS=      $CGAL_CXXFLAGS" >&6
8417 +    echo "$as_me:$LINENO: result: LEDA_INCLDIR=       $LEDA_INCLDIR" >&5
8418 + echo "${ECHO_T}LEDA_INCLDIR=       $LEDA_INCLDIR" >&6
8419 +    echo "$as_me:$LINENO: result: LEDA_LIBDIR=        $LEDA_LIBDIR" >&5
8420 + echo "${ECHO_T}LEDA_LIBDIR=        $LEDA_LIBDIR" >&6
8421 +    echo "$as_me:$LINENO: result: GMP_INCLDIR=        $GMP_INCLDIR" >&5
8422 + echo "${ECHO_T}GMP_INCLDIR=        $GMP_INCLDIR" >&6
8423 +    echo "$as_me:$LINENO: result: GMP_LIBDIR=         $GMP_LIBDIR" >&5
8424 + echo "${ECHO_T}GMP_LIBDIR=         $GMP_LIBDIR" >&6
8425 +
8426 +    ac_ext=cc
8427 + ac_cpp='$CXXCPP $CPPFLAGS'
8428 + ac_compile='$CXX -c $CXXFLAGS $CPPFLAGS conftest.$ac_ext >&5'
8429 + ac_link='$CXX -o conftest$ac_exeext $CXXFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
8430 + ac_compiler_gnu=$ac_cv_cxx_compiler_gnu
8431 +
8432 +    save_CXXFLAGS="$CXXFLAGS"
8433 +    CXXFLAGS="$CXXFLAGS -I$CGAL_INCLDIR -I$CGAL_INCLCONFDIR"
8434 +
8435 + ac_ext=cc
8436 + ac_cpp='$CXXCPP $CPPFLAGS'
8437 + ac_compile='$CXX -c $CXXFLAGS $CPPFLAGS conftest.$ac_ext >&5'
8438 + ac_link='$CXX -o conftest$ac_exeext $CXXFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
8439 + ac_compiler_gnu=$ac_cv_cxx_compiler_gnu
8440 + echo "$as_me:$LINENO: checking how to run the C++ preprocessor" >&5
8441 + echo $ECHO_N "checking how to run the C++ preprocessor... $ECHO_C" >&6
8442 + if test -z "$CXXCPP"; then
8443 +  if test "${ac_cv_prog_CXXCPP+set}" = set; then
8444 +  echo $ECHO_N "(cached) $ECHO_C" >&6
8445 + else
8446 +      # Double quotes because CXXCPP needs to be expanded
8447 +    for CXXCPP in "$CXX -E" "/lib/cpp"
8448 +    do
8449 +      ac_preproc_ok=false
8450 + for ac_cxx_preproc_warn_flag in '' yes
8451 + do
8452 +  # Use a header file that comes with gcc, so configuring glibc
8453 +  # with a fresh cross-compiler works.
8454 +  # Prefer <limits.h> to <assert.h> if __STDC__ is defined, since
8455 +  # <limits.h> exists even on freestanding compilers.
8456 +  # On the NeXT, cc -E runs the code through the compiler's parser,
8457 +  # not just through cpp. "Syntax error" is here to catch this case.
8458 +  cat >conftest.$ac_ext <<_ACEOF
8459 + /* confdefs.h.  */
8460 + _ACEOF
8461 + cat confdefs.h >>conftest.$ac_ext
8462 + cat >>conftest.$ac_ext <<_ACEOF
8463 + /* end confdefs.h.  */
8464 + #ifdef __STDC__
8465 + # include <limits.h>
8466 + #else
8467 + # include <assert.h>
8468 + #endif
8469 +                     Syntax error
8470 + _ACEOF
8471 + if { (eval echo "$as_me:$LINENO: \"$ac_cpp conftest.$ac_ext\"") >&5
8472 +  (eval $ac_cpp conftest.$ac_ext) 2>conftest.er1
8473 +  ac_status=$?
8474 +  grep -v '^ *+' conftest.er1 >conftest.err
8475 +  rm -f conftest.er1
8476 +  cat conftest.err >&5
8477 +  echo "$as_me:$LINENO: \$? = $ac_status" >&5
8478 +  (exit $ac_status); } >/dev/null; then
8479 +  if test -s conftest.err; then
8480 +    ac_cpp_err=$ac_cxx_preproc_warn_flag
8481 +    ac_cpp_err=$ac_cpp_err$ac_cxx_werror_flag
8482 +  else
8483 +    ac_cpp_err=
8484 +  fi
8485 + else
8486 +  ac_cpp_err=yes
8487 + fi
8488 + if test -z "$ac_cpp_err"; then
8489 +  :
8490 + else
8491 +  echo "$as_me: failed program was:" >&5
8492 + sed 's/^/| /' conftest.$ac_ext >&5
8493 +
8494 +  # Broken: fails on valid input.
8495 + continue
8496 + fi
8497 + rm -f conftest.err conftest.$ac_ext
8498 +
8499 +  # OK, works on sane cases.  Now check whether non-existent headers
8500 +  # can be detected and how.
8501 +  cat >conftest.$ac_ext <<_ACEOF
8502 + /* confdefs.h.  */
8503 + _ACEOF
8504 + cat confdefs.h >>conftest.$ac_ext
8505 + cat >>conftest.$ac_ext <<_ACEOF
8506 + /* end confdefs.h.  */
8507 + #include <ac_nonexistent.h>
8508 + _ACEOF
8509 + if { (eval echo "$as_me:$LINENO: \"$ac_cpp conftest.$ac_ext\"") >&5
8510 +  (eval $ac_cpp conftest.$ac_ext) 2>conftest.er1
8511 +  ac_status=$?
8512 +  grep -v '^ *+' conftest.er1 >conftest.err
8513 +  rm -f conftest.er1
8514 +  cat conftest.err >&5
8515 +  echo "$as_me:$LINENO: \$? = $ac_status" >&5
8516 +  (exit $ac_status); } >/dev/null; then
8517 +  if test -s conftest.err; then
8518 +    ac_cpp_err=$ac_cxx_preproc_warn_flag
8519 +    ac_cpp_err=$ac_cpp_err$ac_cxx_werror_flag
8520 +  else
8521 +    ac_cpp_err=
8522 +  fi
8523 + else
8524 +  ac_cpp_err=yes
8525 + fi
8526 + if test -z "$ac_cpp_err"; then
8527 +  # Broken: success on invalid input.
8528 + continue
8529 + else
8530 +  echo "$as_me: failed program was:" >&5
8531 + sed 's/^/| /' conftest.$ac_ext >&5
8532 +
8533 +  # Passes both tests.
8534 + ac_preproc_ok=:
8535 + break
8536 + fi
8537 + rm -f conftest.err conftest.$ac_ext
8538 +
8539 + done
8540 + # Because of `break', _AC_PREPROC_IFELSE's cleaning code was skipped.
8541 + rm -f conftest.err conftest.$ac_ext
8542 + if $ac_preproc_ok; then
8543 +  break
8544 + fi
8545 +
8546 +    done
8547 +    ac_cv_prog_CXXCPP=$CXXCPP
8548 +
8549 + fi
8550 +  CXXCPP=$ac_cv_prog_CXXCPP
8551 + else
8552 +  ac_cv_prog_CXXCPP=$CXXCPP
8553 + fi
8554 + echo "$as_me:$LINENO: result: $CXXCPP" >&5
8555 + echo "${ECHO_T}$CXXCPP" >&6
8556 + ac_preproc_ok=false
8557 + for ac_cxx_preproc_warn_flag in '' yes
8558 + do
8559 +  # Use a header file that comes with gcc, so configuring glibc
8560 +  # with a fresh cross-compiler works.
8561 +  # Prefer <limits.h> to <assert.h> if __STDC__ is defined, since
8562 +  # <limits.h> exists even on freestanding compilers.
8563 +  # On the NeXT, cc -E runs the code through the compiler's parser,
8564 +  # not just through cpp. "Syntax error" is here to catch this case.
8565 +  cat >conftest.$ac_ext <<_ACEOF
8566 + /* confdefs.h.  */
8567 + _ACEOF
8568 + cat confdefs.h >>conftest.$ac_ext
8569 + cat >>conftest.$ac_ext <<_ACEOF
8570 + /* end confdefs.h.  */
8571 + #ifdef __STDC__
8572 + # include <limits.h>
8573 + #else
8574 + # include <assert.h>
8575 + #endif
8576 +                     Syntax error
8577 + _ACEOF
8578 + if { (eval echo "$as_me:$LINENO: \"$ac_cpp conftest.$ac_ext\"") >&5
8579 +  (eval $ac_cpp conftest.$ac_ext) 2>conftest.er1
8580 +  ac_status=$?
8581 +  grep -v '^ *+' conftest.er1 >conftest.err
8582 +  rm -f conftest.er1
8583 +  cat conftest.err >&5
8584 +  echo "$as_me:$LINENO: \$? = $ac_status" >&5
8585 +  (exit $ac_status); } >/dev/null; then
8586 +  if test -s conftest.err; then
8587 +    ac_cpp_err=$ac_cxx_preproc_warn_flag
8588 +    ac_cpp_err=$ac_cpp_err$ac_cxx_werror_flag
8589 +  else
8590 +    ac_cpp_err=
8591 +  fi
8592 + else
8593 +  ac_cpp_err=yes
8594 + fi
8595 + if test -z "$ac_cpp_err"; then
8596 +  :
8597 + else
8598 +  echo "$as_me: failed program was:" >&5
8599 + sed 's/^/| /' conftest.$ac_ext >&5
8600 +
8601 +  # Broken: fails on valid input.
8602 + continue
8603 + fi
8604 + rm -f conftest.err conftest.$ac_ext
8605 +
8606 +  # OK, works on sane cases.  Now check whether non-existent headers
8607 +  # can be detected and how.
8608 +  cat >conftest.$ac_ext <<_ACEOF
8609 + /* confdefs.h.  */
8610 + _ACEOF
8611 + cat confdefs.h >>conftest.$ac_ext
8612 + cat >>conftest.$ac_ext <<_ACEOF
8613 + /* end confdefs.h.  */
8614 + #include <ac_nonexistent.h>
8615 + _ACEOF
8616 + if { (eval echo "$as_me:$LINENO: \"$ac_cpp conftest.$ac_ext\"") >&5
8617 +  (eval $ac_cpp conftest.$ac_ext) 2>conftest.er1
8618 +  ac_status=$?
8619 +  grep -v '^ *+' conftest.er1 >conftest.err
8620 +  rm -f conftest.er1
8621 +  cat conftest.err >&5
8622 +  echo "$as_me:$LINENO: \$? = $ac_status" >&5
8623 +  (exit $ac_status); } >/dev/null; then
8624 +  if test -s conftest.err; then
8625 +    ac_cpp_err=$ac_cxx_preproc_warn_flag
8626 +    ac_cpp_err=$ac_cpp_err$ac_cxx_werror_flag
8627 +  else
8628 +    ac_cpp_err=
8629 +  fi
8630 + else
8631 +  ac_cpp_err=yes
8632 + fi
8633 + if test -z "$ac_cpp_err"; then
8634 +  # Broken: success on invalid input.
8635 + continue
8636 + else
8637 +  echo "$as_me: failed program was:" >&5
8638 + sed 's/^/| /' conftest.$ac_ext >&5
8639 +
8640 +  # Passes both tests.
8641 + ac_preproc_ok=:
8642 + break
8643 + fi
8644 + rm -f conftest.err conftest.$ac_ext
8645 +
8646 + done
8647 + # Because of `break', _AC_PREPROC_IFELSE's cleaning code was skipped.
8648 + rm -f conftest.err conftest.$ac_ext
8649 + if $ac_preproc_ok; then
8650 +  :
8651 + else
8652 +  { { echo "$as_me:$LINENO: error: C++ preprocessor \"$CXXCPP\" fails sanity check
8653 + See \`config.log' for more details." >&5
8654 + echo "$as_me: error: C++ preprocessor \"$CXXCPP\" fails sanity check
8655 + See \`config.log' for more details." >&2;}
8656 +   { (exit 1); exit 1; }; }
8657 + fi
8658 +
8659 + ac_ext=cc
8660 + ac_cpp='$CXXCPP $CPPFLAGS'
8661 + ac_compile='$CXX -c $CXXFLAGS $CPPFLAGS conftest.$ac_ext >&5'
8662 + ac_link='$CXX -o conftest$ac_exeext $CXXFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
8663 + ac_compiler_gnu=$ac_cv_cxx_compiler_gnu
8664 +
8665 +
8666 + if test "${ac_cv_header_CGAL_Cartesian_h+set}" = set; then
8667 +  echo "$as_me:$LINENO: checking for CGAL/Cartesian.h" >&5
8668 + echo $ECHO_N "checking for CGAL/Cartesian.h... $ECHO_C" >&6
8669 + if test "${ac_cv_header_CGAL_Cartesian_h+set}" = set; then
8670 +  echo $ECHO_N "(cached) $ECHO_C" >&6
8671 + fi
8672 + echo "$as_me:$LINENO: result: $ac_cv_header_CGAL_Cartesian_h" >&5
8673 + echo "${ECHO_T}$ac_cv_header_CGAL_Cartesian_h" >&6
8674 + else
8675 +  # Is the header compilable?
8676 + echo "$as_me:$LINENO: checking CGAL/Cartesian.h usability" >&5
8677 + echo $ECHO_N "checking CGAL/Cartesian.h usability... $ECHO_C" >&6
8678 + cat >conftest.$ac_ext <<_ACEOF
8679 + /* confdefs.h.  */
8680 + _ACEOF
8681 + cat confdefs.h >>conftest.$ac_ext
8682 + cat >>conftest.$ac_ext <<_ACEOF
8683 + /* end confdefs.h.  */
8684 + $ac_includes_default
8685 + #include <CGAL/Cartesian.h>
8686 + _ACEOF
8687 + rm -f conftest.$ac_objext
8688 + if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
8689 +  (eval $ac_compile) 2>conftest.er1
8690 +  ac_status=$?
8691 +  grep -v '^ *+' conftest.er1 >conftest.err
8692 +  rm -f conftest.er1
8693 +  cat conftest.err >&5
8694 +  echo "$as_me:$LINENO: \$? = $ac_status" >&5
8695 +  (exit $ac_status); } &&
8696 +         { ac_try='test -z "$ac_cxx_werror_flag"
8697 +                         || test ! -s conftest.err'
8698 +  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
8699 +  (eval $ac_try) 2>&5
8700 +  ac_status=$?
8701 +  echo "$as_me:$LINENO: \$? = $ac_status" >&5
8702 +  (exit $ac_status); }; } &&
8703 +         { ac_try='test -s conftest.$ac_objext'
8704 +  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
8705 +  (eval $ac_try) 2>&5
8706 +  ac_status=$?
8707 +  echo "$as_me:$LINENO: \$? = $ac_status" >&5
8708 +  (exit $ac_status); }; }; then
8709 +  ac_header_compiler=yes
8710 + else
8711 +  echo "$as_me: failed program was:" >&5
8712 + sed 's/^/| /' conftest.$ac_ext >&5
8713 +
8714 + ac_header_compiler=no
8715 + fi
8716 + rm -f conftest.err conftest.$ac_objext conftest.$ac_ext
8717 + echo "$as_me:$LINENO: result: $ac_header_compiler" >&5
8718 + echo "${ECHO_T}$ac_header_compiler" >&6
8719 +
8720 + # Is the header present?
8721 + echo "$as_me:$LINENO: checking CGAL/Cartesian.h presence" >&5
8722 + echo $ECHO_N "checking CGAL/Cartesian.h presence... $ECHO_C" >&6
8723 + cat >conftest.$ac_ext <<_ACEOF
8724 + /* confdefs.h.  */
8725 + _ACEOF
8726 + cat confdefs.h >>conftest.$ac_ext
8727 + cat >>conftest.$ac_ext <<_ACEOF
8728 + /* end confdefs.h.  */
8729 + #include <CGAL/Cartesian.h>
8730 + _ACEOF
8731 + if { (eval echo "$as_me:$LINENO: \"$ac_cpp conftest.$ac_ext\"") >&5
8732 +  (eval $ac_cpp conftest.$ac_ext) 2>conftest.er1
8733 +  ac_status=$?
8734 +  grep -v '^ *+' conftest.er1 >conftest.err
8735 +  rm -f conftest.er1
8736 +  cat conftest.err >&5
8737 +  echo "$as_me:$LINENO: \$? = $ac_status" >&5
8738 +  (exit $ac_status); } >/dev/null; then
8739 +  if test -s conftest.err; then
8740 +    ac_cpp_err=$ac_cxx_preproc_warn_flag
8741 +    ac_cpp_err=$ac_cpp_err$ac_cxx_werror_flag
8742 +  else
8743 +    ac_cpp_err=
8744 +  fi
8745 + else
8746 +  ac_cpp_err=yes
8747 + fi
8748 + if test -z "$ac_cpp_err"; then
8749 +  ac_header_preproc=yes
8750 + else
8751 +  echo "$as_me: failed program was:" >&5
8752 + sed 's/^/| /' conftest.$ac_ext >&5
8753 +
8754 +  ac_header_preproc=no
8755 + fi
8756 + rm -f conftest.err conftest.$ac_ext
8757 + echo "$as_me:$LINENO: result: $ac_header_preproc" >&5
8758 + echo "${ECHO_T}$ac_header_preproc" >&6
8759 +
8760 + # So?  What about this header?
8761 + case $ac_header_compiler:$ac_header_preproc:$ac_cxx_preproc_warn_flag in
8762 +  yes:no: )
8763 +    { echo "$as_me:$LINENO: WARNING: CGAL/Cartesian.h: accepted by the compiler, rejected by the preprocessor!" >&5
8764 + echo "$as_me: WARNING: CGAL/Cartesian.h: accepted by the compiler, rejected by the preprocessor!" >&2;}
8765 +    { echo "$as_me:$LINENO: WARNING: CGAL/Cartesian.h: proceeding with the compiler's result" >&5
8766 + echo "$as_me: WARNING: CGAL/Cartesian.h: proceeding with the compiler's result" >&2;}
8767 +    ac_header_preproc=yes
8768 +    ;;
8769 +  no:yes:* )
8770 +    { echo "$as_me:$LINENO: WARNING: CGAL/Cartesian.h: present but cannot be compiled" >&5
8771 + echo "$as_me: WARNING: CGAL/Cartesian.h: present but cannot be compiled" >&2;}
8772 +    { echo "$as_me:$LINENO: WARNING: CGAL/Cartesian.h:     check for missing prerequisite headers?" >&5
8773 + echo "$as_me: WARNING: CGAL/Cartesian.h:     check for missing prerequisite headers?" >&2;}
8774 +    { echo "$as_me:$LINENO: WARNING: CGAL/Cartesian.h: see the Autoconf documentation" >&5
8775 + echo "$as_me: WARNING: CGAL/Cartesian.h: see the Autoconf documentation" >&2;}
8776 +    { echo "$as_me:$LINENO: WARNING: CGAL/Cartesian.h:     section \"Present But Cannot Be Compiled\"" >&5
8777 + echo "$as_me: WARNING: CGAL/Cartesian.h:     section \"Present But Cannot Be Compiled\"" >&2;}
8778 +    { echo "$as_me:$LINENO: WARNING: CGAL/Cartesian.h: proceeding with the preprocessor's result" >&5
8779 + echo "$as_me: WARNING: CGAL/Cartesian.h: proceeding with the preprocessor's result" >&2;}
8780 +    { echo "$as_me:$LINENO: WARNING: CGAL/Cartesian.h: in the future, the compiler will take precedence" >&5
8781 + echo "$as_me: WARNING: CGAL/Cartesian.h: in the future, the compiler will take precedence" >&2;}
8782 +    (
8783 +      cat <<\_ASBOX
8784 + ## ------------------------------ ##
8785 + ## Report this to gezelter@nd.edu ##
8786 + ## ------------------------------ ##
8787 + _ASBOX
8788 +    ) |
8789 +      sed "s/^/$as_me: WARNING:     /" >&2
8790 +    ;;
8791 + esac
8792 + echo "$as_me:$LINENO: checking for CGAL/Cartesian.h" >&5
8793 + echo $ECHO_N "checking for CGAL/Cartesian.h... $ECHO_C" >&6
8794 + if test "${ac_cv_header_CGAL_Cartesian_h+set}" = set; then
8795 +  echo $ECHO_N "(cached) $ECHO_C" >&6
8796 + else
8797 +  ac_cv_header_CGAL_Cartesian_h=$ac_header_preproc
8798 + fi
8799 + echo "$as_me:$LINENO: result: $ac_cv_header_CGAL_Cartesian_h" >&5
8800 + echo "${ECHO_T}$ac_cv_header_CGAL_Cartesian_h" >&6
8801 +
8802 + fi
8803 + if test $ac_cv_header_CGAL_Cartesian_h = yes; then
8804 +  cgal=yes
8805 + else
8806 +  cgal=no
8807 + fi
8808 +
8809 +
8810 +    CXXFLAGS="$save_CXXFLAGS"
8811 +
8812 +    if test "x$cgal" = xyes; then
8813 +      echo "$as_me:$LINENO: checking for CGAL version" >&5
8814 + echo $ECHO_N "checking for CGAL version... $ECHO_C" >&6
8815 +      LOCATION=${CGAL_INCLDIR}
8816 +      LOCATION=${LOCATION:-/usr/include}
8817 +      if test -f $LOCATION/CGAL/version.h; then
8818 +        CGAL_VERSION=`grep '#define.*\<CGAL_VERSION\>.*' $LOCATION/CGAL/version.h | sed 's/[^0-9\.]*//g'`
8819 +      else
8820 +        CGAL_VERSION=`grep '#define.*\<CGAL_VERSION\>.*' $LOCATION/CGAL/config.h | sed 's/[^0-9\.]*//g'`
8821 +      fi
8822 +      if echo $CGAL_VERSION | grep -q "^[3456789]"; then
8823 +        echo "$as_me:$LINENO: result: ($CGAL_VERSION) yes" >&5
8824 + echo "${ECHO_T}($CGAL_VERSION) yes" >&6
8825 +      else
8826 +        echo "$as_me:$LINENO: result: ($CGAL_VERSION) no" >&5
8827 + echo "${ECHO_T}($CGAL_VERSION) no" >&6
8828 +        cgal=no
8829 +      fi
8830 +    fi
8831 +
8832 +    if test "x$cgal" = xyes; then
8833 +      CGAL_LIBS="-lCGAL"
8834 +      echo "$as_me:$LINENO: checking whether CGAL uses LEDA" >&5
8835 + echo $ECHO_N "checking whether CGAL uses LEDA... $ECHO_C" >&6
8836 +      if echo $CGAL_CXXFLAGS | grep -q -- -DCGAL_USE_LEDA; then
8837 +        CGAL_USES_LEDA=yes
8838 +        echo "$as_me:$LINENO: result: yes" >&5
8839 + echo "${ECHO_T}yes" >&6
8840 +        CGAL_DEFINES="-DCGAL_USE_LEDA -DLEDA_PREFIX"
8841 +      else
8842 +        echo "$as_me:$LINENO: result: no" >&5
8843 + echo "${ECHO_T}no" >&6
8844 +        CGAL_USES_LEDA=no
8845 +      fi
8846 +
8847 +      echo "$as_me:$LINENO: checking whether CGAL uses GMP" >&5
8848 + echo $ECHO_N "checking whether CGAL uses GMP... $ECHO_C" >&6
8849 +      if echo $CGAL_CXXFLAGS | grep -q -- -DCGAL_USE_GMP; then
8850 +        CGAL_USES_GMP=yes
8851 +        echo "$as_me:$LINENO: result: yes" >&5
8852 + echo "${ECHO_T}yes" >&6
8853 +        CGAL_DEFINES="-DCGAL_USE_GMP $CGAL_DEFINES"
8854 +      else
8855 +        echo "$as_me:$LINENO: result: no" >&5
8856 + echo "${ECHO_T}no" >&6
8857 +        CGAL_USES_GMP=no
8858 +      fi
8859 +
8860 +      CGAL_LIBS="$CGAL_LIBS -lm"
8861 +
8862 +      CGAL_CXXFLAGS="-ftemplate-depth-50"
8863 +
8864 +      echo "$as_me:$LINENO: result: CGAL_USES_LEDA=     $CGAL_USES_LEDA" >&5
8865 + echo "${ECHO_T}CGAL_USES_LEDA=     $CGAL_USES_LEDA" >&6
8866 +      echo "$as_me:$LINENO: result: CGAL_USES_GMP =     $CGAL_USES_GMP" >&5
8867 + echo "${ECHO_T}CGAL_USES_GMP =     $CGAL_USES_GMP" >&6
8868 +      echo "$as_me:$LINENO: result: CGAL_INCLDIR  =     $CGAL_INCLDIR" >&5
8869 + echo "${ECHO_T}CGAL_INCLDIR  =     $CGAL_INCLDIR" >&6
8870 +      echo "$as_me:$LINENO: result: CGAL_LIBDIR   =     $CGAL_LIBDIR" >&5
8871 + echo "${ECHO_T}CGAL_LIBDIR   =     $CGAL_LIBDIR" >&6
8872 +      echo "$as_me:$LINENO: result: CGAL_DEFINES  =     $CGAL_DEFINES" >&5
8873 + echo "${ECHO_T}CGAL_DEFINES  =     $CGAL_DEFINES" >&6
8874 +      echo "$as_me:$LINENO: result: CGAL_CXXFLAGS =     $CGAL_CXXFLAGS" >&5
8875 + echo "${ECHO_T}CGAL_CXXFLAGS =     $CGAL_CXXFLAGS" >&6
8876 +      echo "$as_me:$LINENO: result: CGAL_LIBS     =     $CGAL_LIBS" >&5
8877 + echo "${ECHO_T}CGAL_LIBS     =     $CGAL_LIBS" >&6
8878 +    fi
8879 +
8880 +    if test "x$cgal" = xyes; then
8881 +      save_LIBS="$LIBS"
8882 +      LIBS="$LIBS -L$CGAL_LIBDIR"
8883 +      if test "x$CGAL_USES_LEDA" = xyes; then
8884 +        LIBS="-lL $LIBS -L$LEDA_LIBDIR"
8885 +      fi
8886 +      # if test "x$CGAL_USES_GMP" = xyes; then
8887 +      #   LIBS="-lgmp $LIBS $GMP_LIBDIR"
8888 +      # fi
8889 +      echo "$as_me:$LINENO: checking for ::CGAL::Cartesian<int>::Point_2 in -lCGAL" >&5
8890 + echo $ECHO_N "checking for ::CGAL::Cartesian<int>::Point_2 in -lCGAL... $ECHO_C" >&6
8891 + save_CXXFLAGS_CHECK_CXX_LIB="$CXXFLAGS"
8892 + CXXFLAGS="$CXXFLAGS -I$CGAL_INCLDIR -I$CGAL_INCLCONFDIR"
8893 + save_LIBS_CHECK_CXX_LIB="$LIBS"
8894 + LIBS="-lCGAL  $LIBS"
8895 + cat >conftest.$ac_ext <<_ACEOF
8896 + /* confdefs.h.  */
8897 + _ACEOF
8898 + cat confdefs.h >>conftest.$ac_ext
8899 + cat >>conftest.$ac_ext <<_ACEOF
8900 + /* end confdefs.h.  */
8901 + #include <CGAL/Cartesian.h>
8902 + int
8903 + main ()
8904 + {
8905 + ::CGAL::Cartesian<int>::Point_2 P
8906 +  ;
8907 +  return 0;
8908 + }
8909 + _ACEOF
8910 + rm -f conftest.$ac_objext conftest$ac_exeext
8911 + if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
8912 +  (eval $ac_link) 2>conftest.er1
8913 +  ac_status=$?
8914 +  grep -v '^ *+' conftest.er1 >conftest.err
8915 +  rm -f conftest.er1
8916 +  cat conftest.err >&5
8917 +  echo "$as_me:$LINENO: \$? = $ac_status" >&5
8918 +  (exit $ac_status); } &&
8919 +         { ac_try='test -z "$ac_cxx_werror_flag"
8920 +                         || test ! -s conftest.err'
8921 +  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
8922 +  (eval $ac_try) 2>&5
8923 +  ac_status=$?
8924 +  echo "$as_me:$LINENO: \$? = $ac_status" >&5
8925 +  (exit $ac_status); }; } &&
8926 +         { ac_try='test -s conftest$ac_exeext'
8927 +  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
8928 +  (eval $ac_try) 2>&5
8929 +  ac_status=$?
8930 +  echo "$as_me:$LINENO: \$? = $ac_status" >&5
8931 +  (exit $ac_status); }; }; then
8932 +  echo "$as_me:$LINENO: result: yes" >&5
8933 + echo "${ECHO_T}yes" >&6
8934 + cgal=yes
8935 + else
8936 +  echo "$as_me: failed program was:" >&5
8937 + sed 's/^/| /' conftest.$ac_ext >&5
8938 +
8939 + echo "$as_me:$LINENO: result: no" >&5
8940 + echo "${ECHO_T}no" >&6
8941 + cgal=no
8942 + fi
8943 + rm -f conftest.err conftest.$ac_objext \
8944 +      conftest$ac_exeext conftest.$ac_ext
8945 + CXXFLAGS="$save_CXXFLAGS_CHECK_CXX_LIB"
8946 + LIBS="$save_LIBS_CHECK_CXX_LIB"
8947 +      LIBS="$save_LIBS"
8948 +    fi
8949  
8950 +  fi
8951 +  ac_ext=c
8952 + ac_cpp='$CPP $CPPFLAGS'
8953 + ac_compile='$CC -c $CFLAGS $CPPFLAGS conftest.$ac_ext >&5'
8954 + ac_link='$CC -o conftest$ac_exeext $CFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
8955 + ac_compiler_gnu=$ac_cv_c_compiler_gnu
8956  
8957 +
8958 + fi
8959 +
8960 + if test "x$cgal" = xyes; then
8961 +  USE_CGAL=yes
8962 +
8963 + cat >>confdefs.h <<\_ACEOF
8964 + #define HAVE_CGAL 1
8965 + _ACEOF
8966 +
8967 +
8968 + cat >>confdefs.h <<_ACEOF
8969 + #define CGAL_VERSION $CGAL_VERSION
8970 + _ACEOF
8971 +
8972 +  if ! echo $CGAL_VERSION | grep -q "^3.0"; then
8973 +    { echo "$as_me:$LINENO: WARNING: *****************************************************" >&5
8974 + echo "$as_me: WARNING: *****************************************************" >&2;}
8975 +    { echo "$as_me:$LINENO: WARNING: *** Warning: Your CGAL version is newer than the  ***" >&5
8976 + echo "$as_me: WARNING: *** Warning: Your CGAL version is newer than the  ***" >&2;}
8977 +    { echo "$as_me:$LINENO: WARNING: *** supported versions. It may still work though. ***" >&5
8978 + echo "$as_me: WARNING: *** supported versions. It may still work though. ***" >&2;}
8979 +    { echo "$as_me:$LINENO: WARNING: *****************************************************" >&5
8980 + echo "$as_me: WARNING: *****************************************************" >&2;}
8981 +  fi
8982 + else
8983 +   if test "x$cgal_makefile" != xno; then
8984 +    echo "$as_me:$LINENO: result: No CGAL support. These are not the droids you want." >&5
8985 + echo "${ECHO_T}No CGAL support. These are not the droids you want." >&6
8986 +  fi
8987 +  CGAL_INCLDIR=
8988 +  CGAL_LIBDIR=
8989 +  CGAL_RLIBDIR=
8990 +  CGAL_DEFINES=
8991 +  CGAL_CXXFLAGS=
8992 +  CGAL_LIBS=
8993   fi
8994 +
8995 +
8996 + CGAL_INC_DIR="${CGAL_INCLDIR} ${CGAL_INCLCONFDIR}"
8997 +
8998 + CGAL_LIB_DIR=${CGAL_LIBDIR}
8999 +
9000 + CGAL_RLIB_DIR=${CGAL_RLIBDIR}
9001 +
9002 +
9003  
9004  
9005  
# Line 8020 | Line 9205 | esac
9205  
9206            ac_config_headers="$ac_config_headers src/config.h"
9207  
9208 <                    ac_config_files="$ac_config_files make/Makefile src/utils/Makefile"
9208 >                                        ac_config_files="$ac_config_files make/Makefile src/utils/Makefile src/applications/nanoRodBuilder/Makefile scripts/filepp"
9209  
9210  
9211   cat >confcache <<\_ACEOF
# Line 8553 | Line 9738 | do
9738    # Handling of arguments.
9739    "make/Makefile" ) CONFIG_FILES="$CONFIG_FILES make/Makefile" ;;
9740    "src/utils/Makefile" ) CONFIG_FILES="$CONFIG_FILES src/utils/Makefile" ;;
9741 +  "src/applications/nanoRodBuilder/Makefile" ) CONFIG_FILES="$CONFIG_FILES src/applications/nanoRodBuilder/Makefile" ;;
9742 +  "scripts/filepp" ) CONFIG_FILES="$CONFIG_FILES scripts/filepp" ;;
9743    "src/getopt.h" ) CONFIG_LINKS="$CONFIG_LINKS src/getopt.h:src/utils/gnugetopt.h" ;;
9744    "src/config.h" ) CONFIG_HEADERS="$CONFIG_HEADERS src/config.h" ;;
9745    *) { { echo "$as_me:$LINENO: error: invalid argument: $ac_config_target" >&5
# Line 8689 | Line 9876 | s,@AR@,$AR,;t t
9876   s,@LEX@,$LEX,;t t
9877   s,@LEXLIB@,$LEXLIB,;t t
9878   s,@LEX_OUTPUT_ROOT@,$LEX_OUTPUT_ROOT,;t t
9879 + s,@PERLINTERP@,$PERLINTERP,;t t
9880 + s,@PERL_SHEBANG@,$PERL_SHEBANG,;t t
9881   s,@AR@,$AR,;t t
9882   s,@PS@,$PS,;t t
9883   s,@MPI_LIB_DIR@,$MPI_LIB_DIR,;t t
# Line 8697 | Line 9886 | s,@DOXYGEN@,$DOXYGEN,;t t
9886   s,@MPI_LIB@,$MPI_LIB,;t t
9887   s,@MPI_F90_LIB@,$MPI_F90_LIB,;t t
9888   s,@USE_MPI@,$USE_MPI,;t t
9889 + s,@CXXCPP@,$CXXCPP,;t t
9890 + s,@USE_CGAL@,$USE_CGAL,;t t
9891 + s,@CGAL_INC_DIR@,$CGAL_INC_DIR,;t t
9892 + s,@CGAL_LIB_DIR@,$CGAL_LIB_DIR,;t t
9893 + s,@CGAL_RLIB_DIR@,$CGAL_RLIB_DIR,;t t
9894 + s,@CGAL_DEFINES@,$CGAL_DEFINES,;t t
9895 + s,@CGAL_CXXFLAGS@,$CGAL_CXXFLAGS,;t t
9896 + s,@CGAL_LIBS@,$CGAL_LIBS,;t t
9897   s,@DOXYGEN@,$DOXYGEN,;t t
9898   s,@DOT@,$DOT,;t t
9899   s,@DOC@,$DOC,;t t
# Line 8946 | Line 10143 | done
10143      rm -f $tmp/out
10144    fi
10145  
10146 +  # Run the commands associated with the file.
10147 +  case $ac_file in
10148 +    make/Makefile ) chmod 0755 scripts/* ;;
10149 +    src/utils/Makefile ) chmod 0755 scripts/* ;;
10150 +    src/applications/nanoRodBuilder/Makefile ) chmod 0755 scripts/* ;;
10151 +    scripts/filepp ) chmod 0755 scripts/* ;;
10152 +  esac
10153   done
10154   _ACEOF
10155   cat >>$CONFIG_STATUS <<\_ACEOF

Diff Legend

Removed lines
+ Added lines
< Changed lines
> Changed lines